Openshift: run ntp service before running playbook

Bug #1784085 reported by Pragash Vijayaragavan on 2018-07-27
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Juniper Openstack
Status tracked in Trunk
R5.0
Fix Committed
High
Pragash Vijayaragavan
Trunk
Fix Committed
High
Pragash Vijayaragavan

Bug Description

Need to add ntp service as requested on the prerequisite file

Changed in juniperopenstack:
assignee: nobody → Pragash Vijayaragavan (pvijayaragav)
importance: Undecided → High
status: New → Fix Committed

Reviewed: https://review.opencontrail.org/44911
Committed: http://github.com/Juniper/openshift-ansible/commit/efb1e1e4067d8f235fe96579c0f53c7968c681cd
Submitter: Zuul v3 CI (<email address hidden>)
Branch: release-3.7-contrail

commit efb1e1e4067d8f235fe96579c0f53c7968c681cd
Author: pvijayaragav <email address hidden>
Date: Tue Jul 24 11:09:01 2018 -0700

Multi interface, version check and options added

1. Added options in ose-install to install contrail
on non default interface
2. Prereq file now checks for ansible version
3. Added k8s options which were not present before
4. Added ntp service in prerequisite

Change-Id: I40b566802b68a2c3b78dcca405b331936bda5351
Closes-Bug: #1765280
Closes-Bug: #1783398
Closes-Bug: #1783379
Closes-Bug: #1784085

OpenContrail Admin (ci-admin-f) wrote :

Reviewed: https://review.opencontrail.org/45089
Committed: http://github.com/Juniper/openshift-ansible/commit/925341838b236c8fe52ae36237e82759c2ddff45
Submitter: Zuul v3 CI (<email address hidden>)
Branch: release-3.9-contrail

commit 925341838b236c8fe52ae36237e82759c2ddff45
Author: pvijayaragav <email address hidden>
Date: Tue Jul 24 11:09:01 2018 -0700

Multi interface, version check and options added

1. Added options in ose-install to install contrail
on non default interface
2. Prereq file now checks for ansible version
3. Added k8s options which were not present before
4. Added ntp service in prerequisite

Change-Id: I40b566802b68a2c3b78dcca405b331936bda5351
Closes-Bug: #1765280
Closes-Bug: #1783398
Closes-Bug: #1783379
Closes-Bug: #1784085

Jeba Paulaiyan (jebap) on 2018-07-31
Changed in juniperopenstack:
milestone: none → r5.1.0
tags: added: provisioning
Sarath (nsarath) wrote :

RN: After provisioning, need to install and start the ntpd on all Openshift nodes.

tags: added: releasenote
Jeba Paulaiyan (jebap) on 2018-08-17
information type: Proprietary → Public

Review in progress for https://review.opencontrail.org/45672
Submitter: Pragash Vijayaragavan (<email address hidden>)

Reviewed: https://review.opencontrail.org/45672
Committed: http://github.com/Juniper/openshift-ansible/commit/c824241e32fffb96dc0e391b90f7875d242e0370
Submitter: Zuul v3 CI (<email address hidden>)
Branch: release-3.9-contrail

commit c824241e32fffb96dc0e391b90f7875d242e0370
Author: pvijayaragav <email address hidden>
Date: Mon Aug 20 18:51:13 2018 -0700

Added ntp check and insecure registry

1. Added check for ntp getting installed and started, openshift
has this in it openshift_clock playbook, but it doesn seem
to work.
2. Added insecure registry being added to docker and restarted
docker. This was previously done by openshift but now
we have our own way of providing insecure registry by
setting the contrail_insecure_registry=true flag

Change-Id: Id4c790ca0a846468ea1189eed4ec942750f62bec
Closes-Bug: #1784085
Closes-Bug: #1783860

Review in progress for https://review.opencontrail.org/45717
Submitter: Pragash Vijayaragavan (<email address hidden>)

OpenContrail Admin (ci-admin-f) wrote :

Review in progress for https://review.opencontrail.org/45717
Submitter: Aniket Gawade (<email address hidden>)

OpenContrail Admin (ci-admin-f) wrote :

Review in progress for https://review.opencontrail.org/45868
Submitter: Pragash Vijayaragavan (<email address hidden>)

Reviewed: https://review.opencontrail.org/45868
Committed: http://github.com/Juniper/openshift-ansible/commit/cd6a8f20647fa39833f5f93e3de4de6dc4a15586
Submitter: Zuul v3 CI (<email address hidden>)
Branch: release-3.9-contrail

commit cd6a8f20647fa39833f5f93e3de4de6dc4a15586
Author: pvijayaragav <email address hidden>
Date: Wed Aug 29 20:20:12 2018 -0700

Resolved ntp issue

1. ntp is required by contrail, so checking for
ntp package and starting ntpd service by configuring the
/etc/ntp.conf file.
If ntpserver is provided by user in the ose-install that will
be used as ntp server and will be configured on all nodes
including master, else master will be ntpserver

Change-Id: I3a6989f14b5581e1906010d1a059deec2bb01802
Closes-Bug: #1784085

Download full text (22.5 KiB)

Hi Sachin,Sudhee,

    You might have seen full failure sanity reports for k8s sanity. Please ignore these reports,
    Sometimes the images are properly pushed to the Bangalore repository by the time the sanity is triggered ..hence the provisioning fails and sanity

STDERR:
Error response from daemon: manifest for 10.204.217.152:5000/contrail-kubernetes-cni-init:queens-5.0-247 not found
MSG:
non-zero return code
failed: [10.204.217.100] (item=contrail-kubernetes-cni-init) => {
    "changed": true,
    "cmd": "docker pull 10.204.217.152:5000/contrail-kubernetes-cni-init:queens-5.0-247",
    "delta": "0:00:00.106903",
    "end": "2018-09-09 15:58:39.448900",
    "item": "contrail-kubernetes-cni-init",
    "rc": 1,
    "start": "2018-09-09 15:58:39.341997"
}
Thanks
-Venky

From: "<email address hidden>" <email address hidden>
Date: Monday, September 10, 2018 at 2:30 AM
To: Contrail Software <email address hidden>
Subject: [Build CentOS Linux release 7.5.1804 Core 5.1.0-272~queens] Micro-services-Multi-Interface-Kubernetes-HA-Sanity-Ansible-Virtual Report

Test Results

Designed for use with JUnit<http://www.junit.org> and Ant<http://jakarta.apache.org/ant>.

________________________________
Properties
Build : 5.1.0-272
CoreLocation : /cs-shared/test_runs/testbed-1-vm4/2018_09_09_20_42_00
cores : {'10.204.218.101': [], '10.204.218.100': [], '10.204.217.194': [], '10.204.217.197': [], '10.204.217.198': []}
LogsLocation : http://10.204.216.50/Docs/logs/5.1.0-272_2018_09_09_20_42_00_1536525810.61/logs/
Report : http://10.204.216.50/Docs/logs/5.1.0-272_2018_09_09_20_42_00_1536525810.61/junit-noframes.html
Topology :
DISTRO : CentOS Linux release 7.5.1804 Core
SKU : queens
Config Nodes : ['testbed-1-vm4', 'testbed-1-vm5', 'testbed-1-vm1']
Control Nodes : ['testbed-1-vm4', 'testbed-1-vm5', 'testbed-1-vm1']
Compute Nodes : ['testbed-1-vm2', 'testbed-1-vm3']
WebUI Node : ['testbed-1-vm4', 'testbed-1-vm5', 'testbed-1-vm1']
Analytics Nodes : ['testbed-1-vm4', 'testbed-1-vm5', 'testbed-1-vm1']
Database Nodes : ['testbed-1-vm4', 'testbed-1-vm5', 'testbed-1-vm1']
Physical Devices : [u! "'hooper', '192.168.1.11'"]
________________________________
Summary
Tests

Failures

Errors

Skipped

Success rate

Time

19

19

0

0

0.00%

49.928

Note: failures are anticipated and checked for with assertions while errors are unanticipated.

________________________________
Packages
Note: package statistics are not computed recursively, they only sum up all of its testsuites numbers.
Name

Tests

Errors

Failures

Skipped

Time(s)

19

0

19

0

49.928

________________________________
Package
Name

Tests

Errors

Failures

Skipped

Time(s)

9

0

9

0

15.950

10

0

10

0

33.978

Back to top
________________________________
TestCase
Name

Status

Type

Time(s)

LogFile

.setUpClass (serial_scripts.k8s_scripts.test_deployment.TestDeployment)

Failure

Details

_StringException: Traceback (most recent call last):
File "serial_scripts/k8s_scripts/test_deployment.py", line 13, in setUpClass
super...

Sunil Basker (sunilbasker) wrote :
Download full text (23.3 KiB)

From build 262 – 274, manual sanity runs have been completed and the same is reflected in dashboard.
Will schedule 275 today.

Thanks
Sunil

From: Venkatesh Velpula <email address hidden>
Date: Monday, 10 September 2018 at 10:12 AM
To: Sachchidanand Vaidya <email address hidden>, Sudheendra Rao <email address hidden>
Cc: Aniket Gawade <email address hidden>, Dinesh Bakiaraj <email address hidden>, Prasanna Mucharikar <email address hidden>, Pragash Vijayaragavan <email address hidden>, Venkatraman Venkatapathy <email address hidden>, Yuvaraja Mariappan <email address hidden>, Sunil Basker B <email address hidden>
Subject: Re: [Build CentOS Linux release 7.5.1804 Core 5.1.0-272~queens] Micro-services-Multi-Interface-Kubernetes-HA-Sanity-Ansible-Virtual Report

Hi Sachin,Sudhee,

    You might have seen full failure sanity reports for k8s sanity. Please ignore these reports,
    Sometimes the images are properly pushed to the Bangalore repository by the time the sanity is triggered ..hence the provisioning fails and sanity

STDERR:
Error response from daemon: manifest for 10.204.217.152:5000/contrail-kubernetes-cni-init:queens-5.0-247 not found
MSG:
non-zero return code
failed: [10.204.217.100] (item=contrail-kubernetes-cni-init) => {
    "changed": true,
    "cmd": "docker pull 10.204.217.152:5000/contrail-kubernetes-cni-init:queens-5.0-247",
    "delta": "0:00:00.106903",
    "end": "2018-09-09 15:58:39.448900",
    "item": "contrail-kubernetes-cni-init",
    "rc": 1,
    "start": "2018-09-09 15:58:39.341997"
}
Thanks
-Venky

From: "<email address hidden>" <email address hidden>
Date: Monday, September 10, 2018 at 2:30 AM
To: Contrail Software <email address hidden>
Subject: [Build CentOS Linux release 7.5.1804 Core 5.1.0-272~queens] Micro-services-Multi-Interface-Kubernetes-HA-Sanity-Ansible-Virtual Report

Test Results

Designed for use with JUnit<http://www.junit.org> and Ant<http://jakarta.apache.org/ant>.

________________________________
Properties
Build : 5.1.0-272
CoreLocation : /cs-shared/test_runs/testbed-1-vm4/2018_09_09_20_42_00
cores : {'10.204.218.101': [], '10.204.218.100': [], '10.204.217.194': [], '10.204.217.197': [], '10.204.217.198': []}
LogsLocation : http://10.204.216.50/Docs/logs/5.1.0-272_2018_09_09_20_42_00_1536525810.61/logs/
Report : http://10.204.216.50/Docs/logs/5.1.0-272_2018_09_09_20_42_00_1536525810.61/junit-noframes.html
Topology :
DISTRO : CentOS Linux release 7.5.1804 Core
SKU : queens
Config Nodes : ['testbed-1-vm4', 'testbed-1-vm5', 'testbed-1-vm1']
Control Nodes : ['testbed-1-vm4', 'testbed-1-vm5', 'testbed-1-vm1']
Compute Nodes : ['testbed-1-vm2', 'testbed-1-vm3']
WebUI Node : ['testbed-1-vm4', 'testbed-1-vm5', 'testbed-1-vm1']
Analytics Nodes : ['testbed-1-vm4', 'testbed-1-vm5', 'testbed-1-vm1']
Database Nodes : ['testbed-1-vm4', 'testbed-1-vm5', 'testbed-1-vm1']
Physical Devices : [u! "'hooper', '192.168.1.11'"]
________________________________
Summary
Tests

Failures

Errors

Skipped

Success rate

Time

19

19

0

0

0.00%

49.928

Note: failures are anticipated and checked for wit...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers